Bug 574618 - SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox "getattr" access on /.
Summary: SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox "getattr" acce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:372df59d71e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 00:00 UTC by Harish Pillay
Modified: 2010-04-22 04:05 UTC (History)
27 users (show)

Fixed In Version: selinux-policy-3.6.32-106.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:11:34 UTC
Type: ---


Attachments (Terms of Use)

Description Harish Pillay 2010-03-18 00:00:38 UTC
Summary:

SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox "getattr" access
on /.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:fs_t:s0
Target Objects                / [ filesystem ]
Source                        chrome-sandbox
Source Path                   /usr/lib/chromium-browser/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-5.0.355.0-0.1.20100315svn41615.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.9-70.fc12.i686 #1
                              SMP Wed Mar 3 05:14:32 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Thu 18 Mar 2010 07:58:35 AM SGT
Last Seen                     Thu 18 Mar 2010 08:00:08 AM SGT
Local ID                      3b23d773-15f6-4c5e-b86f-41f2269c19e8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1268870408.648:24): avc:  denied  { getattr } for  pid=2646 comm="chrome-sandbox" name="/" dev=sda6 ino=2 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem

node=(removed) type=SYSCALL msg=audit(1268870408.648:24): arch=40000003 syscall=268 success=yes exit=0 a0=804a057 a1=54 a2=bff278ec a3=bff278ec items=0 ppid=0 pid=2646 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome-sandbox" exe="/usr/lib/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,chrome-sandbox,chrome_sandbox_t,fs_t,filesystem,getattr
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t fs_t:filesystem getattr;

Comment 1 Daniel Walsh 2010-03-18 14:00:01 UTC
Miroslav add

fs_dontaudit_getattr_all_fs(chrome_sandbox_t)

Comment 2 Miroslav Grepl 2010-03-18 16:28:58 UTC
Fixed in selinux-policy-3.6.32-104.fc12

Comment 3 Brett Koenig 2010-03-21 04:45:44 UTC
Even after the update I am still having the same issue.

Comment 4 Brett Koenig 2010-03-21 04:54:05 UTC
nevermind...just realized selinux-policy-3.6.32-104.fc12 isn't available yet.

Comment 5 Miroslav Grepl 2010-03-22 10:37:47 UTC
You can use selinux-policy packages from koji for now

http://koji.fedoraproject.org/koji/buildinfo?buildID=162718

Comment 6 Fedora Update System 2010-03-23 18:03:15 UTC
selinux-policy-3.6.32-106.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 7 Fedora Update System 2010-03-24 23:30:23 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 8 Fedora Update System 2010-03-30 02:09:57 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.